Replace project schedule
curl --request PUT \
--url https://api.plansync.dev/api/v1/projects/{projectId}/schedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tasks": [
{
"id": "<string>",
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
]
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tasks: [
{
id: '<string>',
name: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.plansync.dev/api/v1/projects/{projectId}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plansync.dev/api/v1/projects/{projectId}/schedule"
payload = { "tasks": [
{
"id": "<string>",
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Schedule
Replace project schedule
PUT
/
api
/
v1
/
projects
/
{projectId}
/
schedule
Replace project schedule
curl --request PUT \
--url https://api.plansync.dev/api/v1/projects/{projectId}/schedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tasks": [
{
"id": "<string>",
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
]
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tasks: [
{
id: '<string>',
name: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.plansync.dev/api/v1/projects/{projectId}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plansync.dev/api/v1/projects/{projectId}/schedule"
payload = { "tasks": [
{
"id": "<string>",
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Authorizations
apiKeyAuthcookieAuth
Project API key (psk_…) from Project Settings → API keys.
Required scopes depend on the route (e.g. issues:read for listing issues).
Only works on project-scoped /api/v1/projects/{projectId}/… routes.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200
Updated schedule
⌘I